Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.raytracer.surfaceUI
Class SurfaceGroupUI

    java.lang.Object
      threeD.raytracer.surfaceUI.AbstractSurfaceUI
          threeD.raytracer.surfaceUI.SurfaceGroupUI

All Implemented Interfaces:
  Surface, SurfaceUI, SurfaceWrapper

public class SurfaceGroupUI
extends AbstractSurfaceUI

A SurfaceGroupUI object encapsulates a SurfaceGroup object and can be used and manipulated by the user interface.

Field Summary

Fields inherited from class threeD.raytracer.surfaceUI.AbstractSurfaceUI
`surface`

Constructor Summary
`SurfaceGroupUI()` Constructs a SurfaceGroupUI object with no AbstractSurface objects.
`SurfaceGroupUI(Surface[] surfaces)` Constructs a SurfaceGroupUI object using the Surface objects in the specified array.

Method Summary
`void` | `draw(Graphics g, Camera camera)` Does nothing.
`Dialog` | `getDialog()` Returns null.
`String` | `getName()` Returns the name of this SurfaceGroupUI object as a String object.
`String` | `getType()` Returns "Surface Group".
`boolean` | `hasDialog()` Returns false.
`void` | `setName(String name)` Sets the name of this SurfaceGroupUI object to the name specified.
`String` | `toString()` Returns the name of this SurfaceGroupUI object.

Methods inherited from class threeD.raytracer.surfaceUI.AbstractSurfaceUI
`getColorAt, getNormalAt, getShadeBack, getShadeFront, getSurface, intersect, intersectAt, setParent, setSurface, shade`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SurfaceGroupUI

    public SurfaceGroupUI()

  Constructs a SurfaceGroupUI object with no AbstractSurface objects.

### SurfaceGroupUI

    public SurfaceGroupUI(Surface[] surfaces)

  Constructs a SurfaceGroupUI object using the Surface objects in the specified array.

Method Detail

### setName

    public void setName(String name)

  Sets the name of this SurfaceGroupUI object to the name specified.

  Specified by:
    `setName` in interface `SurfaceUI`
  Overrides:
    `setName` in class `AbstractSurfaceUI`

### getName

    public String getName()

  Returns the name of this SurfaceGroupUI object as a String object.

  Specified by:
    `getName` in interface `SurfaceUI`
  Overrides:
    `getName` in class `AbstractSurfaceUI`

### getType

    public String getType()

  Returns "Surface Group".

### hasDialog

    public boolean hasDialog()

  Returns false.

  Specified by:
    `hasDialog` in interface `SurfaceUI`
  Overrides:
    `hasDialog` in class `AbstractSurfaceUI`

### getDialog

    public Dialog getDialog()

  Returns null.

  Specified by:
    `getDialog` in interface `SurfaceUI`
  Overrides:
    `getDialog` in class `AbstractSurfaceUI`

### draw

    public void draw(Graphics g,
                     Camera camera)

  Does nothing.

### toString

    public String toString()

  Returns the name of this SurfaceGroupUI object.

  Overrides:
    `toString` in class `AbstractSurfaceUI`

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray